%define name PAddress
%define version 0.0.4
%define release 1mdk	

Name:		%{name}
Summary:	A simple GTK+ address book
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		Office
URL:		http://paddress.sourceforge.net/
Source:		%{name}-%{version}.tar.bz2
BuildRoot:	/var/tmp/%{name}-buildroot
Prefix:		/usr
Packager:	Vincent Danen <vdanen@linux-mandrake.com>

%description
PAddress is a simple address book application written in C++ using the GTK+
toolkit.  It's designed to be simple but full-featured.

%prep

%setup

%build
#CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" 
./configure
make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT/%{prefix}/bin
cp -av $RPM_BUILD_DIR/%{name}-%{version}/src/paddress $RPM_BUILD_ROOT%{prefix}/bin

#%clean
#if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi

%files
%defattr(-,root,root,0755)
%doc AUTHORS COPYING ChangeLog NEWS README TODO 
%{prefix}/bin/paddress


%changelog
* Tue Apr 11 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.0.4-1mdk
- used srpm provided by Vincent Danen <vdanen@linux-mandrake.com>
- remove optimizations to avoid segfault

* Mon Mar 6 2000 Vincent Danen <vdanen@linux-mandrake.com>
- initial specfile
- bzip sources
